Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.lucene.benchmark
Interface Benchmarker

All Known Implementing Classes:
  AbstractBenchmarker, StandardBenchmarker

Deprecated. Use the Task based benchmarker

    public interface Benchmarker

Method Summary
`TestData[]` | `benchmark(File workingDir, BenchmarkOptions options)` Deprecated. Benchmark according to the implementation, using the workingDir as the place to store things.

Method Detail

### benchmark

    TestData[] benchmark(File workingDir,
                         BenchmarkOptions options)
                         throws Exception

  Deprecated.
  Benchmark according to the implementation, using the workingDir as the place to store things.

  Parameters:
    `workingDir` - The `File` directory to store temporary data in for running the benchmark
    `options` - Any `BenchmarkOptions` that are needed for this benchmark. This
  Returns:
    The `TestData` used to run the benchmark.
  Throws:
    `Exception`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000-2009 Apache Software Foundation. All Rights Reserved.